UpdateFeed - AWS Elemental Inference

UpdateFeed

Updates the name and/or outputs in a feed.

Request Syntax

PUT /v1/feed/id HTTP/1.1 Content-type: application/json { "name": "string", "outputs": [ { "description": "string", "fromAssociation": boolean, "name": "string", "outputConfig": { ... }, "status": "string" } ] }

URI Request Parameters

The request uses the following URI parameters.

id

The ID of the feed to update.

Pattern: [a-z0-9]{19}

Required: Yes

Request Body

The request accepts the following data in JSON format.

name

Required. You can specify the existing name (to leave it unchanged) or a new name.

Type: String

Pattern: [a-zA-Z0-9]([a-zA-Z0-9-_]{0,126}[a-zA-Z0-9])?

Required: Yes

outputs

Required. You can specify the existing array of outputs (to leave outputs unchanged) or you can specify a new array.

Type: Array of UpdateOutput objects

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "arn": "string", "association": { "associatedResourceName": "string" }, "dataEndpoints": [ "string" ], "id": "string", "name": "string", "outputs": [ { "description": "string", "fromAssociation": boolean, "name": "string", "outputConfig": { ... }, "status": "string" } ], "status": "string", "tags": { "string" : "string" } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

arn

The ARN of the feed.

Type: String

association

True means that the output was originally created in the feed by the AssociateFeed operation. False means it was created using CreateFeed or UpdateFeed. You will need this value if you use the UpdateFeed operation to modify the list of outputs in the feed.

Type: FeedAssociation object

dataEndpoints

The data endpoints of the feed.

Type: Array of strings

id

The ID of the feed.

Type: String

Pattern: [a-z0-9]{19}

name

The updated or original name of the feed.

Type: String

Pattern: [a-zA-Z0-9]([a-zA-Z0-9-_]{0,126}[a-zA-Z0-9])?

outputs

The array of outputs in the feed. You might have left this array unchanged, or you might have changed it.

Type: Array of GetOutput objects

status

The status of the output.

Type: String

Valid Values: CREATING | AVAILABLE | ACTIVE | UPDATING | DELETING | DELETED | ARCHIVED

tags

The name of the resource currently associated with the feed, if any.

Type: String to string map

Key Length Constraints: Minimum length of 1. Maximum length of 128.

Value Length Constraints: Minimum length of 0. Maximum length of 256.

Errors

For information about the errors that are common to all actions, see Common Errors.

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

ConflictException

The request could not be completed due to a conflict.

HTTP Status Code: 409

InternalServerErrorException

An internal server error occurred. This is a temporary condition and the request can be retried. If the problem persists, contact AWS Support.

HTTP Status Code: 500

ResourceNotFoundException

The resource specified in the action doesn't exist.

HTTP Status Code: 404

ServiceQuotaExceededException

The request was rejected because it would exceed one or more service quotas for your account. Review your service quotas and either delete unused resources or request a quota increase.

HTTP Status Code: 402

TooManyRequestException

The request was denied due to request throttling. Too many requests have been made within a given time period. Reduce the frequency of requests and use exponential backoff when retrying.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service. Check the error message for details about which parameter or field is invalid and correct the request before retrying.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: